package cn.ysk.cashier.dto.shop;

import cn.ysk.cashier.utils.StringUtils;
import lombok.Data;

@Data
public class TbShopUserQueryCriteria {

    private String name;

    private String shopId;

    private Integer isVip;

    private Long page=1L;
    private Long size=10L;

    public void setName(String name) {
        if (StringUtils.isNotBlank(name)) {
            this.name = name;
        }
    }

    public void setShopId(String shopId) {
        if (StringUtils.isNotBlank(shopId) && !shopId.equals(1)) {
            this.shopId = shopId;
        }
    }

    public void setIsVip(Integer isVip) {
        if(isVip!=null){
            this.isVip = isVip;
        }
    }
}